
QGIS Application - Bug report #3675

Rasters in Win7 crashing

2011-03-23 10:08 PM - Bill Williamson

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13734

Description

Bad behaviour with Landsat rasters and 

at the least crash on exit with all rasters in Win7

Related forum posts:

http://forum.qgis.org/viewtopic.php?p=18178

History

#1 - 2011-03-24 12:10 AM - Jürgen Fischer

Does the crash also occur without any third party plugins in place?   If so, please determine with which plugin QGIS starts to crash.

#2 - 2011-03-24 02:23 AM - Bill Williamson

Hi Jef

plugins installed now

ftools

plugin builder

openstreetmap plugin

mapserver export

plugin installer

gdaltools 1.2.24(1.2.21) is off, it appears in the QGIS Python Plugin Installer as installed but is off in the Manage Plugins dialog. The others above I see as

essential.

I resolved one issue. Loading up a Landsat band directly for the southern hemisphere causes QGIS to get a bit lost, the project properties have to be set

for the northern hemisphere and then zoom to layer. After this the point information tool will work. And the histogram in layer properties reports credible

results.

Remove layer causes a momentary delay and then QGIS "has stopped working".

And just now I took the tentative step of turning GDAL, 1-Band Colour Table back on, I managed to generate a colour map from 1-BCT, admired the

colours for 10 sec and it crashed.

ta

#3 - 2011-03-27 10:07 PM - Bill Williamson
http://forum.qgis.org/viewtopic.php?p=18178


- Resolution set to fixed

- Status changed from Open to Closed

Tried this again in latest trunk, no problems. 

Trunk 15622.
